%define anolis_release 1
%global commit0 a0763a246a81188f60b0f9810143e49224dc752f

Summary: PolicyKit integration for the GNOME desktop
Name:    polkit-gnome
Version: 0.106
Release: %{anolis_release}%{?dist}
License: LGPLv2+
URL:     http://www.freedesktop.org/wiki/Software/PolicyKit
Source0:  https://gitlab.gnome.org/Archive/policykit-gnome/-/archive/%{commit0}/policykit-gnome-%{commit0}.tar.gz

BuildRequires: make
BuildRequires: gtk3-devel
BuildRequires: glib2-devel >= 2.25.11
BuildRequires: polkit-devel >= 0.97-1
BuildRequires: intltool
BuildRequires: gobject-introspection-devel
BuildRequires: gnome-common
BuildRequires: gtk-doc

Obsoletes: PolicyKit-gnome <= 0.10
Provides:  PolicyKit-gnome = 0.11
Obsoletes: PolicyKit-gnome-libs <= 0.10
Provides:  PolicyKit-gnome-libs = 0.11
Obsoletes: polkit-gnome-devel < 0.102
Provides:  polkit-gnome-devel = 0.102-2
Obsoletes: polkit-gnome-docs < 0.102
Provides:  polkit-gnome-docs = 0.102-2

Provides:  PolicyKit-authentication-agent = %{version}

Requires:  polkit >= 0.97

%description
polkit-gnome provides an authentication agent for PolicyKit
that matches the look and feel of the GNOME desktop.

%prep
%autosetup -p1 -n policykit-gnome-%{commit0}
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-static --enable-compile-warnings=no
%{make_build} V=1

%install
%{make_install}

%find_lang polkit-gnome-1

%ldconfig_scriptlets

%files -f polkit-gnome-1.lang
%doc AUTHORS README NEWS 
%license COPYING
%{_libexecdir}/*


%changelog
* Fri Apr 22 2022 zhang xianting <zhangxianting@uniontech.com> - 0.160-1
- Initial build for Anolis V23
